name: FT24C16A-E
variations: D, S, M, T, L, P, N
description: memory, EEPROM, I²C, 16Kbi
datasheet: http://fremontmicro.com/downfile.aspx?filepath=/upload/2019/0715/1102v2x666.pdf&filename=ft24c16a-exx-rev1.4.pdf

pinout@8L: &8L
  GND: 4
  VCC: 8
  WP: 7
  SCL: 6
  SDA: 5
  NC: 1-3

pinout@D: *8L

pinout@S: *8L

pinout@M: *8L

pinout@T: *8L

pinout@N: *8L

pinout@5L: &5L
  GND: 2
  VCC: 4
  WP: 5
  SCL: 1
  SDA: 3

pinout@L: *5L

pinout@P: *5L

properties:
  power: VCC
  ground: GND
  input: WP, SCL
  bidir: SDA
  nc: NC

schematic:
  symbol: ic
  left: SCL, SDA, WP
  top: VCC
  bottom: GND

housing@D:
  suffix: D
  pattern: DIP
  leadCount: 8
  pitch: 2.54 # e
  bodyWidth: 6.20-6.60 # E
  bodyLength: 9.0-9.4 # D
  height: 3.710-4.310 # A
  leadWidth: 0.380-0.570 # B
  leadLength: 3.0-3.6 # B
  leadHeight: 0.204-0.306 # C
  leadSpan: 7.320-7.920 # E1

housing@S:
  pattern: SOP
  suffix: S
  height: 1.35-1.75 # A
  leadCount: 8
  pitch: 1.27 # e
  bodyWidth: 3.8-4.0 # E
  bodyLength: 4.7-5.1 # D
  leadLength: 0.4-1.27 # L
  leadWidth: 0.33-0.51 # b
  leadSpan: 5.8-6.1 # E1

housing@M:
  pattern: SOP
  suffix: M
  height: 0.8-1.1 # A
  leadCount: 8
  pitch: 0.65 # e
  bodyWidth: 2.9-3.1 # E
  bodyLength: 2.9-3.1 # D
  leadLength: 0.4-0.8 # L
  leadWidth: 0.25-0.38 # b
  leadSpan: 4.75-5.05 # E1

housing@T:
  pattern: SOP
  suffix: T
  height: 0.8-1.1 # A
  leadCount: 8
  pitch: 0.65 # e
  bodyWidth: 4.3-4.5 # E
  bodyLength: 2.9-3.1 # D
  leadLength: 0.5-0.7 # L
  leadWidth: 0.19-0.30 # b
  leadSpan: 6.25-6.55 # E1

housing@N:
  pattern: DFN # not supported by QEDA
  suffix: N
  height: 0.7-0.8 # A
  leadCount: 8
  pitch: 0.50 # e
  bodyWidth: 2.9-3.1 # E
  bodyLength: 1.9-2.1 # D
  leadLength: 0.3-0.5 # L
  leadWidth: 0.18-0.30 # b
  leadHeight: 0.18-0.25 # c
  tabWidth: 1.6 # E2
  tabLength: 1.5 # D2
  tabPosition: 0.0, 0.0

housing@L:
  pattern: SOT23
  suffix: L
  height: 1.05-1.25 # A
  leadCount: 5
  pitch: 0.95 # e
  bodyWidth: 1.5-1.7 # E
  bodyLength: 2.82-3.02 # D
  leadLength: 0.3-0.6 # L
  leadWidth: 0.3-0.5 # b
  leadSpan: 2.65-2.95 # E1

housing@P:
  pattern: SOT23
  suffix: P
  height: 0.7-0.9 # A
  leadCount: 5
  pitch: 0.95 # e
  bodyWidth: 1.6-1.7 # E
  bodyLength: 2.82-3.02 # D
  leadLength: 0.3-0.6 # L
  leadWidth: 0.35-0.5 # b
  leadSpan: 2.65-2.95 # E1

